{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":30124,"path":"it-operations-management/discovery-and-service-mapping-patterns/ibm-flash-system-pattern.md","title":"IBM Flash System pattern-based discovery","bundle":null,"doc_type":null,"release":"australia","body":"\n# IBM Flash System pattern-based discovery\n\nDiscovery and Service Mapping Patterns finds IBM Flash System storage servers in your environment. Discovering some of these resources might require updating to the latest version of the Discovery and Service Mapping Patterns application from the ServiceNow Store.\n\n## Request apps on the Store\n\nVisit the [ServiceNow Store](https://store.servicenow.com/sn_appstore_store.do#!/store/home) to view all the available apps, and for information about submitting requests to the store. For cumulative release notes information for all released apps, see the [ServiceNow Store version history release notes](https://www.servicenow.com/docs/r/store-release-notes/sn-store-release-notes.html).\n\n## IBM Flash System data model\n\nThe following diagram illustrates the tables and relationships that the Discovery and Service Mapping Patterns application creates when discovering IBM resources.\n\n\\[Omitted image \"ibm-flash-system-diagram.png\"\\] Alt text: IBM Flash System data model\n\n## Prerequisites\n\n-   **Verify that the applications are up to date**\n    -   Discovery and Service Mapping Patterns\n    -   Visibility Content\n    -   CMDB CI Class Models\n-   **Verify REST API access**\n\n    Verify that the MID Server is active and can reach the following REST API endpoints on the IBM Flash System array:\n\n    -   `POST /rest/v1/auth`\n    -   `POST /rest/v1/lssystem`\n    -   `POST /rest/v1/lsmdiskgrp`\n    -   `POST /rest/v1/lsvdisk`\n    -   `POST /rest/v1/lsportfc`\n    -   `POST /rest/v1/lsenclosurecanister`\n    -   `POST /rest/v1/lsdrive`\n    -   `POST /rest/v1/lsfabric`\n-   **Create an alias for a basic authentication credential**\n\n    For more information, see [Create an alias for a basic authentication credential for IBM Flash System discovery](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/it-operations-management/discovery-and-service-mapping-patterns/create-alias-basic-auth-cred-ibm-flash.md).\n\n-   **Schedule a serverless discovery schedule**\n\n    For more information, see [Create a serverless discovery schedule for IBM Flash System discovery](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/it-operations-management/discovery-and-service-mapping-patterns/create-serverless-schedule-ibm-flash.md).\n\n\n## Data collected by Discovery during horizontal discovery\n\nDiscovery populates the data in the CMDB when running the IBM Flash System pattern.\n\n|Field|Description|\n|-----|-----------|\n|Name \\[name\\]|Name of the storage server.|\n|Model ID \\[model\\_id\\]|Hardware model of the storage server.|\n|Manufacturer \\[manufacturer\\]|Name of the manufacturer. The value is set to **IBM**.|\n|IP Address \\[ip\\_address\\]|Console IP address of the storage server.|\n|Serial number \\[serial\\_number\\]|Serial number of the storage server.|\n|OS Version \\[os\\_version\\]|Software version of the storage server.|\n|Firmware version \\[firmware\\_version\\]|Software version of the storage server.|\n|Physical Capacity \\(GB\\) \\[physical\\_capacity\\]|Total physical storage capacity, in gigabytes \\(GB\\).|\n|Used Physical Capacity \\(GB\\) \\[used\\_physical\\_capacity\\]|Amount of physical storage capacity in use, in GB.|\n|Free Physical Capacity \\(GB\\) \\[free\\_physical\\_capacity\\]|Amount of physical storage capacity available, in GB.|\n|Virtual Capacity \\(GB\\) \\[virtual\\_capacity\\]|Total virtual storage capacity, in GB.|\n|Free Virtual Capacity \\(GB\\) \\[free\\_virtual\\_capacity\\]|Amount of virtual storage capacity available, in GB.|\n|Used Virtual Capacity \\(GB\\) \\[used\\_virtual\\_capacity\\]|Amount of virtual storage capacity in use, in GB.|\n|Operational status \\[operational\\_status\\]|Operational status of the storage server. Default value is Operational.|\n\n|Field|Description|\n|-----|-----------|\n|Name \\[name\\]|Name of the storage pool.|\n|Pool ID \\[pool\\_id\\]|Unique identifier of the storage pool.|\n|Size \\[size\\]|Total capacity of the storage pool.|\n|Size bytes \\[size\\_bytes\\]|Total capacity of the storage pool, in bytes.|\n|Physical Capacity \\(GB\\) \\[physical\\_capacity\\]|Total physical capacity of the storage pool, in GB.|\n|Free space \\[free\\_space\\]|Amount of free space available in the storage pool.|\n|Free space bytes \\[free\\_space\\_bytes\\]|Amount of free space available in the storage pool, in bytes.|\n|Operational status \\[operational\\_status\\]|Operational status of the storage pool.|\n|Hosted by \\[hosted\\_by\\]|References the Storage Server \\[cmdb\\_ci\\_storage\\_server\\] table.|\n\n<table id=\"table_storage_volume\"><thead><tr><th>\n\nField\n\n</th><th>\n\nDescription\n\n</th></tr></thead><tbody><tr><td>\n\nName \\[name\\]\n\n</td><td>\n\nName of the storage volume.\n\n</td></tr><tr><td>\n\nSerial number \\[serial\\_number\\]\n\n</td><td>\n\nSerial number of the storage volume.\n\n</td></tr><tr><td>\n\nObject ID \\[object\\_id\\]\n\n</td><td>\n\nUnique identifier of the storage volume.\n\n</td></tr><tr><td>\n\nState \\[state\\]\n\n</td><td>\n\nCurrent state of the storage volume. For example: Available or Offline.\n\n</td></tr><tr><td>\n\nSize bytes \\[size\\_bytes\\]\n\n</td><td>\n\nTotal capacity of the storage volume, in bytes.\n\n</td></tr><tr><td>\n\nOperational status \\[operational\\_status\\]\n\n</td><td>\n\nOperational status of the storage volume.\n\n</td></tr><tr><td>\n\nComputer \\[computer\\]\n\n</td><td>\n\nReferences the Storage Server \\[cmdb\\_ci\\_storage\\_server\\] table.\n\n</td></tr><tr><td>\n\nProvided by \\[provided\\_by\\]\n\n</td><td>\n\nReferences the Storage Pool \\[cmdb\\_ci\\_storage\\_pool\\] table.\n\n</td></tr></tbody>\n</table>|Field|Description|\n|-----|-----------|\n|Name \\[name\\]|Name of the Fibre Channel port, derived from the port ID.|\n|WWPN \\[wwpn\\]|World Wide Port Name of the Fibre Channel port.|\n|Speed \\[speed\\]|Port speed of the Fibre Channel port.|\n|Computer \\[computer\\]|References the Storage Server \\[cmdb\\_ci\\_storage\\_server\\] table.|\n|Controller \\[controller\\]|References the Storage Controller \\[cmdb\\_ci\\_storage\\_controller\\] table.|\n\n|Field|Description|\n|-----|-----------|\n|Name \\[name\\]|Name of the storage controller node.|\n|Device ID \\[device\\_id\\]|Canister ID of the storage controller.|\n|Correlation ID \\[correlation\\_id\\]|Node ID used to correlate the storage controller with associated Fibre Channel ports.|\n|Operational status \\[operational\\_status\\]|Operational status of the storage controller.|\n|Computer \\[computer\\]|References the Storage Server \\[cmdb\\_ci\\_storage\\_server\\] table.|\n\n|Field|Description|\n|-----|-----------|\n|Name \\[name\\]|Name of the disk.|\n|Device ID \\[device\\_id\\]|Identifier of the disk drive.|\n|Size bytes \\[size\\_bytes\\]|Capacity of the disk, in bytes.|\n|Correlation ID \\[correlation\\_id\\]|Identifier used to correlate the disk with its managed disk group.|\n|Device bus ID \\[device\\_bus\\_id\\]|Member ID of the disk within its enclosure.|\n|Device interface \\[device\\_interface\\]|Slot ID of the disk within its enclosure.|\n|Device target ID \\[device\\_target\\_id\\]|Drive class ID of the disk.|\n|Operational status \\[operational\\_status\\]|Operational status of the disk.|\n|Computer \\[computer\\]|References the Storage Server \\[cmdb\\_ci\\_storage\\_server\\] table.|\n\n|Field|Description|\n|-----|-----------|\n|Name \\[name\\]|Name of the Fibre Channel export.|\n|Initiator WWPN \\[initiator\\_wwpn\\]|WWPN of the remote initiator.|\n|Export ID \\[export\\_id\\]|Local WWPN that identifies this Fibre Channel export.|\n|Operational status \\[operational\\_status\\]|Operational status of the Fibre Channel export.|\n|Hosted by \\[hosted\\_by\\]|References the Storage Server \\[cmdb\\_ci\\_storage\\_server\\] table.|\n\n## CI relationships and references\n\nThe IBM Flash System pattern creates the following relationships and references to support IBM Flash System storage server discovery. References link to records in other tables and don't appear in the CI Relationship \\[cmdb\\_rel\\_ci\\] table.\n\n|CI|Relationship|CI|\n|---|------------|---|\n|Storage Server \\[cmdb\\_ci\\_storage\\_server\\]|Contains::Contained by|Storage Pool \\[cmdb\\_ci\\_storage\\_pool\\]|\n|Storage Server \\[cmdb\\_ci\\_storage\\_server\\]|Contains::Contained by|Storage Volume \\[cmdb\\_ci\\_storage\\_volume\\]|\n|Storage Server \\[cmdb\\_ci\\_storage\\_server\\]|Contains::Contained by|Disk \\[cmdb\\_ci\\_disk\\]|\n|Storage Server \\[cmdb\\_ci\\_storage\\_server\\]|Owns::Owned by|Fibre Channel Port \\[cmdb\\_ci\\_fc\\_port\\]|\n|Storage Controller \\[cmdb\\_ci\\_storage\\_controller\\]|Controller for::Controlled by|Storage Server \\[cmdb\\_ci\\_storage\\_server\\]|\n|Fibre Channel Export \\[cmdb\\_ci\\_fc\\_export\\]|Hosted on::Hosts|Storage Server \\[cmdb\\_ci\\_storage\\_server\\]|\n\n|CI|Field|Referenced CI|\n|---|-----|-------------|\n|Storage Pool \\[cmdb\\_ci\\_storage\\_pool\\]|Hosted by \\[hosted\\_by\\]|Storage Server \\[cmdb\\_ci\\_storage\\_server\\]|\n|Storage Volume \\[cmdb\\_ci\\_storage\\_volume\\]|Computer \\[computer\\]|Storage Server \\[cmdb\\_ci\\_storage\\_server\\]|\n|Storage Volume \\[cmdb\\_ci\\_storage\\_volume\\]|Provided by \\[provided\\_by\\]|Storage Pool \\[cmdb\\_ci\\_storage\\_pool\\]|\n|Fibre Channel Port \\[cmdb\\_ci\\_fc\\_port\\]|Computer \\[computer\\]|Storage Server \\[cmdb\\_ci\\_storage\\_server\\]|\n|Storage Controller \\[cmdb\\_ci\\_storage\\_controller\\]|Computer \\[computer\\]|Storage Server \\[cmdb\\_ci\\_storage\\_server\\]|\n|Fibre Channel Port \\[cmdb\\_ci\\_fc\\_port\\]|Controller \\[controller\\]|Storage Controller \\[cmdb\\_ci\\_storage\\_controller\\]|\n|Disk \\[cmdb\\_ci\\_disk\\]|Computer \\[computer\\]|Storage Server \\[cmdb\\_ci\\_storage\\_server\\]|\n|Fibre Channel Export \\[cmdb\\_ci\\_fc\\_export\\]|Hosted by \\[hosted\\_by\\]|Storage Server \\[cmdb\\_ci\\_storage\\_server\\]|\n\n-   **[Create an alias for a basic authentication credential for IBM Flash System discovery](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/it-operations-management/discovery-and-service-mapping-patterns/create-alias-basic-auth-cred-ibm-flash.md)**  \nCreate an alias for a basic authentication credential to run IBM Flash System discovery.\n-   **[Create a serverless discovery schedule for IBM Flash System discovery](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/it-operations-management/discovery-and-service-mapping-patterns/create-serverless-schedule-ibm-flash.md)**  \nCreate a serverless discovery schedule to run IBM Flash System storage discovery.\n\n**Parent Topic:**[Available on-premise discovery patterns](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/it-operations-management/discovery-and-service-mapping-patterns/available-patterns.md)\n\n"}}